=== debian/changelog ===
ros-iron-ignition-math6-vendor (0.1.0-1jammy) jammy; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-iron-ignition-math6-vendor (0.0.3-1jammy) jammy; urgency=high

  * Forward CMAKE_PREFIX_PATH when building vendor package (#8 <https://github.com/gazebo-release/gz_math6_vendor/issues/8>)
  * Contributors: Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-iron-ignition-math6-vendor (0.0.2-1jammy) jammy; urgency=high

  * Update to 6.9.2 ign-math6. (#1 <https://github.com/ignition-release/ignition_math6_vendor/issues/1>)
  * Contributors: Chris Lalancette

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-iron-ignition-math6-vendor (0.0.1-1jammy) jammy; urgency=high

  * Initial package
  * Contributors: Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Aug 2021 00:00:00 -0000
